## org.mariadb.jdbc.internal.com.read.dao
Class ColumnNameMap

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.dao.ColumnNameMap

    public class ColumnNameMap

extends Object

Constructor Summary
`ColumnNameMap(ColumnInformation[] columnInformations)`

Method Summary
`int` `getIndex(String name)` Get column index by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnNameMap

    public ColumnNameMap(ColumnInformation[] columnInformations)

Method Detail

### getIndex

    public int getIndex(String name)
                 throws SQLException

  Get column index by name.

  Parameters:
    `name` - column name
  Returns:
    index.
  Throws:
    `SQLException` - if no column info exists, or column is unknown

Copyright © 2017. All rights reserved.